import { Context } from 'aws-lambda';
import express from 'express';
import { LambdaHandler } from 'index';
export interface LambdaConfig {
    handler: LambdaHandler;
    context?: Context;
    enableCORS?: boolean;
    binaryContentTypesOverride?: string[];
    pathParamsPattern?: string;
    requestContext?: Record<string, any>;
}
export interface LocalLambdaGroupConfig {
    lambdas: LambdaConfig[];
    port?: number;
    defaultPath?: string;
}
export declare class LocalLambdaGroup {
    lambdas: LambdaConfig[];
    app: express.Application;
    port: number;
    defaultPath: string;
    constructor(config: LocalLambdaGroupConfig);
    run(): void;
}
//# sourceMappingURL=lambda.group.d.ts.map