import { Context } from 'aws-lambda';
import { LambdaHandler } from './types';
import express, { Response } from 'express';
import { LambdaConfig } from './lambda.group';
export declare const DefaultPort = 8000;
export declare const DefaultPathParamsPattern = "/";
export declare class LocalLambda {
    handler: LambdaHandler;
    port: number;
    context: Context;
    enableCORS: boolean;
    binaryContentTypesOverride: Set<string>;
    pathParamsPattern: string;
    defaultPath: string;
    app: express.Application;
    requestContext: Record<string, any>;
    constructor(config: LocalLambdaConfig, app?: express.Application, defaultPath?: string);
    createRoute(): void;
    run(): void;
    setCORSHeaders(res: Response): void;
}
export interface LocalLambdaConfig extends LambdaConfig {
    port?: number;
}
//# sourceMappingURL=local.lambda.d.ts.map